Public Member Functions | Public Attributes | List of all members
NisusWrtStruct::RecursifData::Node Struct Reference

the data data More...

`#include <NisusWrtStruct.hxx>`

## Public Member Functions
| Node ()
| constructor More...
bool | isLeaf () const
| returns true if the node is a final node More...

## Public Attributes
int | m_type
| the variable type More...
MWAWEntry | m_entry
| the entry More...
std::shared_ptr< RecursifData > | m_data
| the recursif data More...

## Detailed Description

the data data

## Constructor & Destructor Documentation

## ◆ Node()

NisusWrtStruct::RecursifData::Node::Node | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ isLeaf()

bool NisusWrtStruct::RecursifData::Node::isLeaf | ( |  | ) | const
| inline

returns true if the node is a final node

## Member Data Documentation

## ◆ m_data

std::shared_ptr<RecursifData> NisusWrtStruct::RecursifData::Node::m_data

the recursif data

Referenced by NisusWrtStruct::RecursifData::read().

## ◆ m_entry

MWAWEntry NisusWrtStruct::RecursifData::Node::m_entry

the entry

Referenced by NisusWrtStruct::RecursifData::read(), and NisusWrtParser::readReference().

## ◆ m_type

int NisusWrtStruct::RecursifData::Node::m_type

the variable type

Referenced by NisusWrtStruct::RecursifData::read(), and NisusWrtParser::readReference().

The documentation for this struct was generated from the following file:

- NisusWrtStruct.hxx